- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionTabWidgetFrameV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 196 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionTabWidgetFrameV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 2 }
## Public Member Functions
| QStyleOptionTabWidgetFrameV2 ()
| QStyleOptionTabWidgetFrameV2 (const QStyleOptionTabWidgetFrameV2 &other)
| QStyleOptionTabWidgetFrameV2 (const QStyleOptionTabWidgetFrame &other)
QStyleOptionTabWidgetFrameV2 & | operator= (const QStyleOptionTabWidgetFrame &other)
## Public Attributes
QRect | tabBarRect
QRect | selectedTabRect
## Protected Member Functions
| QStyleOptionTabWidgetFrameV2 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionTabWidgetFrame.

Definition at line 199 of file qstyleoption.h.

    { Version = 2 };

## Constructor & Destructor Documentation

QStyleOptionTabWidgetFrameV2 | ( |  | ) |

QStyleOptionTabWidgetFrameV2 | ( | const QStyleOptionTabWidgetFrameV2 & | other | ) | `[inline]`

Definition at line 205 of file qstyleoption.h.

                                                                                :
                QStyleOptionTabWidgetFrame(Version) { *this = other; }

QStyleOptionTabWidgetFrameV2 | ( | const QStyleOptionTabWidgetFrame & | other | ) |

QStyleOptionTabWidgetFrameV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionTabWidgetFrameV2& operator= | ( | const QStyleOptionTabWidgetFrame & | other | ) |

## Member Data Documentation

QRect tabBarRect

Search for all occurrences

Definition at line 201 of file qstyleoption.h.

QRect selectedTabRect

Search for all occurrences

Definition at line 202 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2
QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2 QStyleOptionTabWidgetFrameV2